ARCHBUILD(1)

BEZEICHNUNG
archbuild - Ein Skript, um ein Arch-Linux-Paket innerhalb einer sauberen Chroot zu bauen

ÜBERSICHT

archbuild [Optionen] — [makechrootpkg Arg]

BESCHREIBUNG

archbuild ist ein Skript, um ein Arch-Linux-Paket zu bauen. archbuild ist Teil der Devtools, sollte aber nur über einen der enthaltenen Symlinks verwandt werden:

    • extra-x86_64-build

    • gnome-unstable-x86_64-build

    • kde-unstable-x86_64-build

    • multilib-build

    • multilib-staging-build

    • multilib-testing-build

    • staging-x86_64-build

    • testing-x86_64-build

Der zur Ausführug verwandte Symlink wird von archbuild untersucht, um zu bestimmen, welches Ziel es verwenden soll. Es wird die verfügbare Pacman-Konfiguration aus reponame-arch.conf laden oder auf reponame.conf aus /usr/share/devtools/pacman.conf.d zurückfallen. Die makepkg(8)-Konfiguration wird aus repo-arch.conf geladen oder auf reponame.conf aus /usr/share/devtools/makepkg.conf.d zurückfallen.

Es wird auch die Bind-Einhängekonfiguration aus mount.d/arch in /usr/share/devtools laden. Das Dateiformat ist wie folgt: Jede Zeile, die mit ro und rw anfängt, wird verwandt, andere Zeilen werden ignoriert und der Rest der verwandten Zeile ist aus/Pfad:ein/Pfad, dem ein Leerzeichen als Trenner vorangestellt ist. ro bedeutet eine schreibgeschützte Einhängung, rw eine lese- und beschreibbare Einhängung.

OPTIONEN

-h
    Gibt die Befehlszeilenoptionen aus.

-c
    Erstellt das Chroot vor dem Bau neu.

-r <Verz>
    Erstellt Chroots in diesem Verzeichnis.

SIEHE AUCH

devtools(7)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.